#include "hmbdc/app/tcpcast/NetContext.hpp"
namespace tested_module = hmbdc::app::tcpcast;
#include "hmbdc/app/utils/NetPerf.hpp"

#include <utility>

int main(int argc, char** argv) {
	using namespace tested_module;
    return hmbdc::app::utils::startNetPerf(tested_module::DefaultUserConfig
    ,
    "Warning: By default, hmbdc-tcpcast uses tcp AND multicast functions and it is imperative that multicast is enabled (stop the firewall?) on your network for this to work."
    "for the usage of hmbdc-tcpcast WITHOUT multicast, see tryTopicSource method in RecvTransportEngine.hpp and mcastEmu* config param\n"
    "Example:\nrunning \n$sender-host: ./perf-tcpcast --sender --ifaceAddr 192.168.1.101 \n"
    "$receiver-host1: ./perf-tcpcast --receiver --ifaceAddr 192.168.1.102\n"
    "$receiver-host2: ./perf-tcpcast --receiver --ifaceAddr 192.168.1.103 \n"
    "would start the sender using NIC with 192.168.1.101 ip address and two receivers using their 192.168.1.102, 192.168.1.103 NICs."
    ,
    argc, argv, std::forward_as_tuple(RecvTransport::NoOpArb()));
}
