#include "hmbdc/app/netmap/NetContext.hpp"
namespace tested_module = hmbdc::app::netmap;
#include "hmbdc/app/utils/NetPerf.hpp"

#include <utility>

int main(int argc, char** argv) {

	using namespace tested_module;
    return hmbdc::app::utils::startNetPerf(tested_module::DefaultUserConfig
    ,
    "Warning: hmbdc-netmap uses netmap driver functions and it is imperative that netmap driver is installed and functioning on your network for this to work."
    "Example:\nrunning \n$sender-host: ./perf-netmap --sender --netmapPort netmap:p3p2-0 \n"
    "$receiver-host1: ./perf-netmap --receiver --netmapPort netmap:eno1\n"
    "$receiver-host2: ./perf-netmap --receiver --netmapPort netmap:eno2\n"
    "would start the sender using NIC p3p2 and two receivers using their eno1 and eno2 NICs."
    ,
    argc, argv, std::forward_as_tuple(RecvTransport::NoOpArb()), false);
}
